/* code pour cryptage md5 */
typedef struct MD5Context {
  u_int32_t state[4];   /* state (ABCD) */
  u_int32_t count[2];   /* number of bits, modulo 2^64 (lsb first) */
  unsigned char buffer[64];     /* input buffer */
} MD5_CTX;

void   MD5Init (MD5_CTX *);
void   MD5Update (MD5_CTX *, const unsigned char *, unsigned int);
void   MD5Final (unsigned char [16], MD5_CTX *);
char * MD5End(MD5_CTX *, char *);
char * MD5File(char *, char *);
char * MD5Data(const unsigned char *, unsigned int, char *);

/* Code pour cryptage md2 */
typedef struct {
  u_int32_t state[16];                                         /* state */
  unsigned char checksum[16];                                   /* checksum */
  u_int32_t count;                         /* number of bytes, modulo 16 */
  unsigned char buffer[16];                                 /* input buffer */
} MD2_CTX;

void MD2Init (MD2_CTX *);
void MD2Update (MD2_CTX *, const unsigned char *, unsigned int);
void MD2Final (unsigned char [16], MD2_CTX *);
char * MD2End(MD2_CTX *, char *);
char * MD2File(char *, char *);
char * MD2Data(const unsigned char *, unsigned int, char *);
